> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve user details configuration

> Retrieves user details configuration needed by the UserDetails component.



## OpenAPI

````yaml https://frontendapi.cloud.corbado.io/v2/openapi.yaml get /v2/user-details-config
openapi: 3.0.3
info:
  version: 2.0.4
  title: Corbado Frontend API
  description: >-
    Overview of all Corbado Frontend API calls to implement passwordless
    authentication.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://{projectId}.frontendapi.corbado.io
    variables:
      projectId:
        description: Your Corbado project ID
        default: pro-000000
security:
  - bearerAuth: []
  - projectID: []
tags:
  - name: Auth
    description: All API calls that are related to an authentication process.
  - name: Configs
    description: All API calls to manage configurations
  - name: Users
    description: All API calls to manage users
  - name: CorbadoConnect
    description: All API calls that are related to a connect process
  - name: OIDC
    description: All API calls that are related to OpenID Connect
  - name: WellKnown
    description: All API calls that are related to WellKnown assets
paths:
  /v2/user-details-config:
    get:
      tags:
        - Configs
      summary: Retrieve user details configuration
      description: >-
        Retrieves user details configuration needed by the UserDetails
        component.
      operationId: GetUserDetailsConfig
      responses:
        '200':
          description: User details configuration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/userDetailsConfigRsp'
components:
  schemas:
    userDetailsConfigRsp:
      type: object
      required:
        - fullNameRequired
        - identifiers
      properties:
        fullNameRequired:
          type: boolean
        identifiers:
          type: array
          items:
            $ref: '#/components/schemas/loginIdentifierConfig'
    loginIdentifierConfig:
      type: object
      required:
        - type
      properties:
        type:
          $ref: '#/components/schemas/loginIdentifierType'
    loginIdentifierType:
      type: string
      enum:
        - email
        - phone
        - username
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        After a user logs in successfully, a session is created and a JWT token
        is returned.

        This token represents the user's authenticated session.

        It must be included in the `Authorization` header as a Bearer token for
        all protected endpoints:


        `Authorization: Bearer <your-token>`


        The server will validate this token to authorize access.
    projectID:
      type: apiKey
      in: header
      name: X-Corbado-ProjectID
      description: |
        Identifies your project context for Corbado.
        Include this in the request headers as:

        `X-Corbado-ProjectID: <your-project-id>`

````